# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Jun  5 14:24:41 2024
# ------------------------------------------------

package:
  name: networkx
  version: 3.2.1
source:
  sha256: 9f1bb5cf3409bf324e0a722c20bdb4c20ee39bf1c30ce8ae499c8502b0b5e0c6
  url: https://pypi.io/packages/source/n/networkx/networkx-3.2.1.tar.gz
build:
  number: '0'
  script: /croot/networkx_1717597493534/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.3.11 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_2
    - pip 24.0 py310h06a4308_0
    - python 3.10.14 h955ad1f_1
    - readline 8.2 h5eee18b_0
    - setuptools 69.5.1 py310h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py310h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - python >=3.10,<3.11.0a0
  run-constrained:
    - lxml >=4.6
    - matplotlib-base >=3.5
    - numpy >=1.22
    - pandas >=1.4
    - pydot >=1.4.2
    - pygraphviz >=1.11
    - scipy >=1.9,!=1.11.0,!=1.11.1
    - sympy >=1.10
test:
  commands:
    - pip check
  imports:
    - networkx
    - networkx.algorithms
    - networkx.algorithms.approximation
    - networkx.algorithms.assortativity
    - networkx.algorithms.bipartite
    - networkx.algorithms.centrality
    - networkx.algorithms.coloring
    - networkx.algorithms.community
    - networkx.algorithms.components
    - networkx.algorithms.connectivity
    - networkx.algorithms.flow
    - networkx.algorithms.isomorphism
    - networkx.algorithms.link_analysis
    - networkx.algorithms.minors
    - networkx.algorithms.operators
    - networkx.algorithms.shortest_paths
    - networkx.algorithms.traversal
    - networkx.algorithms.tree
    - networkx.classes
    - networkx.drawing
    - networkx.generators
    - networkx.linalg
    - networkx.readwrite
    - networkx.readwrite.json_graph
    - networkx.tests
    - networkx.utils
  requires:
    - pip
about:
  description: 'NetworkX is a Python language software package for the creation,

    manipulation, and study of the structure, dynamics, and functions of complex

    networks.

    '
  dev_url: https://github.com/networkx/networkx
  doc_url: https://networkx.org/documentation/stable
  home: https://networkx.github.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python package for creating and manipulating complex networks
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 36b2d7fe-5bff-4f8d-8ecd-27ca6d1b6c5a
  recipe-maintainers:
    - FelixMoelder
    - SylvainCorlay
    - ocefpaf
    - synapticarbors
  remote_url: git@github.com:AnacondaRecipes/networkx-feedstock.git
  sha: b66bb6a3c4413539198e55062e8c5f0dd362e4a9
  skip-lints:
    - invalid_url
